API Reference
Finalize Payout [POST]

Finalize Payout

https://sandboxapi.onbrails.com/api/v2/wallets/payout/finalize (opens in a new tab)

Authorize and finalize an already initiated payout.

📘

Legacy flow — backward compatibility. Finalize Payout is part of the legacy payout flow: initiate a payout, then finalize it with the transaction ID. New integrations should use the new flow: retrieve a Quote, then Initiate Payout.

Body Parameters

ParameterTypeRequired
transactionIdstring

Request

Beneficiaries/Finalize Payout [POST]
curl --request POST \
     --url https://sandboxapi.onbrails.com/api/v2/wallets/payout/finalize \
     --header 'Authorization: Bearer YOUR_SECRET_KEY' \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --data '{
        "transactionId": "string"
      }'

Responses

🟢 200 - Result example
{
"status": true,
"message": "Payout Finalized Successfully",
"data": {
  "id": "e6d06d21-73c8-471b-9e5b-9171920ab4ea",
  "description": "test wallets/payout/initialize",
  "createdAt": "2023-08-17T16:13:30.635Z",
  "updatedAt": "2023-08-17T16:14:08.465Z",
  "reference": "HjdYJWumFMnNyUp",
  "exchangeRate": "879",
  "amount": "1.13",
  "action": "ngn_account_payout",
  "fees": "0",
  "type": "debit",
  "status": "pending",
  "channel": "payout",
  "companyId": "65f8ecbc-f7dd-4753-9cd4-dda9a3e396cb",
  "customerId": "4bf15cb3-97a6-4072-9683-aa3c6d7233df",
  "beneficiary": "1be2b747-29e6-4fc9-88cd-0895f7e22165",
  "payoutAmount": 50,
  "payoutCurrency": "NGN",
  
}
}